Description

OpenKC doesn`t find FRI headers in given $includedir or in ${prefix}/include.

Tried by passing the includedir to bootstrap.sh and additionally to ./configure.

OpenKC seems to only look into the default system paths, e.g. FRI headers are found if copied to /usr/include.

History

#1 - 2012-01-06 18:20 - Arne Nordmann

Adding

CPPFLAGS="$CPPFLAGS -I$includedir"

 

to configure.ac did the trick for me, because it tells AC_CHECK_HEADER to also search inside $includedir.

#2 - 2012-01-13 16:12 - Matthias Schöpfer

- Status changed from New to In Progress

- Priority changed from Normal to Low

Hi Arne!

README.TXT says:

"Remember to export CPPFLAGS=-I/path/to/fricomm.h. This file comes as

part of FRI and cannot be included into OpenKC because of copyright

issues."

Did this not do the job for you?! If so, please respond and I will see if I can add an option to configure, where the location of fricomm.h can be passed

to the autotools-chain.

Regards!

#3 - 2012-01-16 13:47 - Arne Nordmann

Yes, that works! Sorry, that I missed this hint in the README.txt.
Maybe it is more convenient though, If you add

CPPFLAGS="$CPPFLAGS -I$includedir"

 

to the configure.ac file, so that you can just type

./configure --includedir=/path/to/fricomm.h

 

and the CPPFLAGS stuff is done for you (and this is a more common command line argument I guess).

Anyway ... it works. Thanks very much.
